Bug 1020067 - SELinux is preventing /usr/bin/abrt-action-save-package-data from 'read' accesses on the file resolv.conf.
SELinux is preventing /usr/bin/abrt-action-save-package-data from 'read' acce...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-10-16 19:45 EDT by mouhieddine
Modified: 2013-11-04 21:52 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.11.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-04 21:52:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mouhieddine 2013-10-16 19:45:00 EDT
Description of problem:
SELinux is preventing /usr/bin/abrt-action-save-package-data from 'read' accesses on the file resolv.conf.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that abrt-action-save-package-data should be allowed read access on the resolv.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep abrt-action-sav /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:pppd_var_run_t:s0
Target Objects                resolv.conf [ file ]
Source                        abrt-action-sav
Source Path                   /usr/bin/abrt-action-save-package-data
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.5-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-301.fc19.x86_64 #1 SMP Tue
                              Jun 11 19:39:38 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-10-16 12:44:03 BST
Last Seen                     2013-10-16 12:44:05 BST
Local ID                      d83823bb-3af0-4e46-a3bc-6124c7221e75

Raw Audit Messages
type=AVC msg=audit(1381923845.239:552): avc:  denied  { read } for  pid=3121 comm="abrt-action-lis" name="resolv.conf" dev="tmpfs" ino=36682 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:pppd_var_run_t:s0 tclass=file

type=SYSCALL msg=audit(1381923845.239:552): arch=x86_64 syscall=open success=no exit=EACCES a0=3e3cd7c4e4 a1=80000 a2=1b6 a3=0 items=0 ppid=3088 pid=3121 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=abrt-action-lis exe=/usr/bin/python2.7 subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: abrt-action-sav,abrt_t,pppd_var_run_t,file,read

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.4-201.fc19.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2013-10-17 04:49:41 EDT

use: "# restorecon -v /etc/resolv.conf" to fix it.
Comment 2 Daniel Walsh 2013-10-17 09:42:04 EDT
ccc999d09de3118b6a5f586922d3875fc2be0674 and
750ecc00c035141475bf4663e65dbd428e703baa in git

Will cause pppd_t to create the resolv.conf file with the correct label.
Comment 3 Lukas Vrabec 2013-10-18 04:05:41 EDT
back ported.
Comment 4 Fedora Update System 2013-10-23 07:38:12 EDT
selinux-policy-3.12.1-74.11.fc19 has been submitted as an update for Fedora 19.
Comment 5 Fedora Update System 2013-10-23 20:52:49 EDT
Package selinux-policy-3.12.1-74.11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.11.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-04 21:52:33 EST
selinux-policy-3.12.1-74.11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.